package com.lz.modules.flow.entity;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;
/**
* <p>
* </p>*流转记录表
* @author quyixiao
* @since 2020-11-03
*/

@Data
@TableName("lz_flow_record")
@ApiModel(value = "流转记录表")
public class FlowRecord implements java.io.Serializable {
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除状态，1：删除，0：有效
    @ApiModelProperty(value = "是否删除状态，1：删除，0：有效", name = "isDelete")
    private Integer isDelete;
    //创建时间
    @ApiModelProperty(value = "创建时间", name = "gmtCreate")
    private Date gmtCreate;
    //最后修改时间
    @ApiModelProperty(value = "最后修改时间", name = "gmtModified")
    private Date gmtModified;
    //
    @ApiModelProperty(value = "", name = "departmentLevel")
    private String departmentLevel;
    //记录 id
    @ApiModelProperty(value = "记录 id", name = "recordId")
    private Long recordId;
    //审批员工 id
    @ApiModelProperty(value = "审批员工 id", name = "approvalStaffId")
    private Long approvalStaffId;
    //审批员工名称
    @ApiModelProperty(value = "审批员工名称", name = "approvalStaffName")
    private String approvalStaffName;
    //流程名称
    @ApiModelProperty(value = "流程名称", name = "flowName")
    private String flowName;
    //record 表中的员工 id
    @ApiModelProperty(value = "record 表中的员工 id", name = "recordStaffId")
    private Long recordStaffId;
    //流程 id
    @ApiModelProperty(value = "流程 id", name = "flowId")
    private Long flowId;
    //流程中的第几个步骤
    @ApiModelProperty(value = "流程中的第几个步骤", name = "flowIndex")
    private Integer flowIndex;
    //0表示流程未到，1 表示流程已走 2 ：当前流程  3：其他人己经审批，4，跳过
    @ApiModelProperty(value = "0表示流程未到，1 表示流程已走 2 ：当前流程  3：其他人己经审批，4，跳过", name = "status")
    private Integer status;
    // 员工&权限id
    @ApiModelProperty(value = " 员工&权限id", name = "flowStaffIdRole")
    private String flowStaffIdRole;
    //状态名称
    @ApiModelProperty(value = "状态名称", name = "statusName")
    private String statusName;
    //步骤类型0：依次，1：或签（同时通知，一人通过或拒绝即可），2会签（同时通知，所有人同意才可）
    @ApiModelProperty(value = "步骤类型0：依次，1：或签（同时通知，一人通过或拒绝即可），2会签（同时通知，所有人同意才可）", name = "type")
    private Integer type;
    //flow_manager表中id
    @ApiModelProperty(value = "flow_manager表中id", name = "processId")
    private Long processId;
    //当前是目标确认还是评分，0，目标制定，1，目标确认，2执行中，3，结果值录入，4，评分，5考核结束
    @ApiModelProperty(value = "当前是目标确认还是评分，0，目标制定，1，目标确认，2执行中，3，结果值录入，4，评分，5考核结束", name = "flowProcess")
    private Integer flowProcess;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除状态，1：删除，0：有效 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除状态，1：删除，0：有效 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 创建时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 最后修改时间 
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     * 最后修改时间 
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     *  
     * @return
     */
    public String getDepartmentLevel() {
        return departmentLevel;
    }
    /**
     *  
     * @param departmentLevel
     */
    public void setDepartmentLevel(String departmentLevel) {
        this.departmentLevel = departmentLevel;
    }

    /**
     * 记录 id 
     * @return
     */
    public Long getRecordId() {
        return recordId;
    }
    /**
     * 记录 id 
     * @param recordId
     */
    public void setRecordId(Long recordId) {
        this.recordId = recordId;
    }

    /**
     * 审批员工 id 
     * @return
     */
    public Long getApprovalStaffId() {
        return approvalStaffId;
    }
    /**
     * 审批员工 id 
     * @param approvalStaffId
     */
    public void setApprovalStaffId(Long approvalStaffId) {
        this.approvalStaffId = approvalStaffId;
    }

    /**
     * 审批员工名称 
     * @return
     */
    public String getApprovalStaffName() {
        return approvalStaffName;
    }
    /**
     * 审批员工名称 
     * @param approvalStaffName
     */
    public void setApprovalStaffName(String approvalStaffName) {
        this.approvalStaffName = approvalStaffName;
    }

    /**
     * 流程名称 
     * @return
     */
    public String getFlowName() {
        return flowName;
    }
    /**
     * 流程名称 
     * @param flowName
     */
    public void setFlowName(String flowName) {
        this.flowName = flowName;
    }

    /**
     * record 表中的员工 id 
     * @return
     */
    public Long getRecordStaffId() {
        return recordStaffId;
    }
    /**
     * record 表中的员工 id 
     * @param recordStaffId
     */
    public void setRecordStaffId(Long recordStaffId) {
        this.recordStaffId = recordStaffId;
    }

    /**
     * 流程 id 
     * @return
     */
    public Long getFlowId() {
        return flowId;
    }
    /**
     * 流程 id 
     * @param flowId
     */
    public void setFlowId(Long flowId) {
        this.flowId = flowId;
    }

    /**
     * 流程中的第几个步骤 
     * @return
     */
    public Integer getFlowIndex() {
        return flowIndex;
    }
    /**
     * 流程中的第几个步骤 
     * @param flowIndex
     */
    public void setFlowIndex(Integer flowIndex) {
        this.flowIndex = flowIndex;
    }

    /**
     * 0表示流程未到，1 表示流程已走 2 ：当前流程  3：其他人己经审批，4，跳过 
     * @return
     */
    public Integer getStatus() {
        return status;
    }
    /**
     * 0表示流程未到，1 表示流程已走 2 ：当前流程  3：其他人己经审批，4，跳过 
     * @param status
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     *  员工&权限id 
     * @return
     */
    public String getFlowStaffIdRole() {
        return flowStaffIdRole;
    }
    /**
     *  员工&权限id 
     * @param flowStaffIdRole
     */
    public void setFlowStaffIdRole(String flowStaffIdRole) {
        this.flowStaffIdRole = flowStaffIdRole;
    }

    /**
     * 状态名称 
     * @return
     */
    public String getStatusName() {
        return statusName;
    }
    /**
     * 状态名称 
     * @param statusName
     */
    public void setStatusName(String statusName) {
        this.statusName = statusName;
    }

    /**
     * 步骤类型0：依次，1：或签（同时通知，一人通过或拒绝即可），2会签（同时通知，所有人同意才可） 
     * @return
     */
    public Integer getType() {
        return type;
    }
    /**
     * 步骤类型0：依次，1：或签（同时通知，一人通过或拒绝即可），2会签（同时通知，所有人同意才可） 
     * @param type
     */
    public void setType(Integer type) {
        this.type = type;
    }

    /**
     * flow_manager表中id 
     * @return
     */
    public Long getProcessId() {
        return processId;
    }
    /**
     * flow_manager表中id 
     * @param processId
     */
    public void setProcessId(Long processId) {
        this.processId = processId;
    }

    /**
     * 当前是目标确认还是评分，0，目标制定，1，目标确认，2执行中，3，结果值录入，4，评分，5考核结束 
     * @return
     */
    public Integer getFlowProcess() {
        return flowProcess;
    }
    /**
     * 当前是目标确认还是评分，0，目标制定，1，目标确认，2执行中，3，结果值录入，4，评分，5考核结束 
     * @param flowProcess
     */
    public void setFlowProcess(Integer flowProcess) {
        this.flowProcess = flowProcess;
    }

    @Override
    public String toString() {
        return "FlowRecord{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",departmentLevel=" + departmentLevel +
                ",recordId=" + recordId +
                ",approvalStaffId=" + approvalStaffId +
                ",approvalStaffName=" + approvalStaffName +
                ",flowName=" + flowName +
                ",recordStaffId=" + recordStaffId +
                ",flowId=" + flowId +
                ",flowIndex=" + flowIndex +
                ",status=" + status +
                ",flowStaffIdRole=" + flowStaffIdRole +
                ",statusName=" + statusName +
                ",type=" + type +
                ",processId=" + processId +
                ",flowProcess=" + flowProcess +
                "}";
    }
}